## golang-github-gin-gonic-gin 1.3.0+dfsg1

=== Makefile ===
GOFMT ?= gofmt "-s"
PACKAGES ?= $(shell go list ./... | grep -v /vendor/)
VETPACKAGES ?= $(shell go list ./... | grep -v /vendor/ | grep -v /examples/)
GOFILES := $(shell find . -name "*.go" -type f -not -path "./vendor/*")

all: install

install: deps
	govendor sync

.PHONY: test
test:
	sh coverage.sh

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: fmt-check
fmt-check:
	# get all go files and run go fmt on them
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

vet:
	go vet $(VETPACKAGES)

deps:
	@hash govendor > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/kardianos/govendor; \
	fi
	@hash embedmd > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/campoy/embedmd; \
	fi

embedmd:
	embedmd -d *.md

.PHONY: lint
lint:
	@hash golint > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/golang/lint/golint; \
	fi
	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

.PHONY: misspell-check
misspell-check:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -error $(GOFILES)

.PHONY: misspell
misspell:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		go get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -w $(GOFILES)

=== examples/realtime-chat/Makefile ===
all: deps build

.PHONY: deps
deps:
	go get -d -v github.com/dustin/go-broadcast/...

.PHONY: build
build: deps
	go build -o realtime-chat main.go rooms.go template.go

## golang-github-gin-gonic-gin 1.2+dfsg1

=== debian/changelog ===
golang-github-gin-gonic-gin (1.2+dfsg1-2ubuntu1) bionic; urgency=medium

  * d/patches/0002-only-check-location-header.patch: cherry pick fix for test
    from upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Mar 2018 16:05:02 +1300

golang-github-gin-gonic-gin (1.2+dfsg1-2) unstable; urgency=medium

  * Add patch to fix random failed test
    0001-fix-tests-use-assert.Regep-instead-of-assert.Equal.patch

 -- Shengjing Zhu <i@zhsj.me>  Sat, 19 Aug 2017 20:57:54 +0800

golang-github-gin-gonic-gin (1.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #865134)

 -- Shengjing Zhu <i@zhsj.me>  Fri, 04 Aug 2017 00:39:04 +0800

=== debian/control ===
Source: golang-github-gin-gonic-gin
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-gin-contrib-sse-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ugorji-go-codec-dev,
               golang-golang-x-net-dev,
               golang-gopkg-go-playground-validator.v8-dev,
               golang-gopkg-yaml.v2-dev,
               golang-goprotobuf-dev
Standards-Version: 4.0.0
Homepage: https://github.com/gin-gonic/gin
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-gin-gonic-gin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-gin-gonic-gin.git
XS-Go-Import-Path: github.com/gin-gonic/gin
Testsuite: autopkgtest-pkg-go

Package: golang-github-gin-gonic-gin-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-gin-contrib-sse-dev,
         golang-github-mattn-go-isatty-dev,
         golang-github-ugorji-go-codec-dev,
         golang-gopkg-go-playground-validator.v8-dev,
         golang-gopkg-yaml.v2-dev,
         golang-goprotobuf-dev
Description: HTTP web framework written in Go
 Gin is a web framework written in Go (Golang). It features a martini-like API
 with much better performance, up to 40 times faster thanks to httprouter. If
 you need performance and good productivity, you will love Gin.

## golang-github-gin-gonic-gin 1.3.0+dfsg1

=== debian/changelog ===
golang-github-gin-gonic-gin (1.3.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Build-Depend on tzdata (closes: #911912)

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 08 Nov 2018 21:47:42 +0000

golang-github-gin-gonic-gin (1.3.0+dfsg1-2) unstable; urgency=medium

  * Add patch to change listen port of test server.
    Fix ftbfs on buildd.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Sep 2018 12:42:55 +0800

golang-github-gin-gonic-gin (1.3.0+dfsg1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Shengjing Zhu ]
  * New upstream release 1.3.0+dfsg1.
    + Fix TestRouterNotFound. (Closes: #890924)
  * Remove patches applied in new version.
  * New copyright holder in new upstream release.
  * update debhelper and compat to 11
  * update Standards-Version to 4.2.1, change Priority to optional
  * d/control: change team email address to tracker.d.o
  * Update my email address to zhsj@debian.org.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Sep 2018 11:18:24 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: golang-github-gin-gonic-gin
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>
-Build-Depends: debhelper (>= 10),
+Priority: optional
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Shengjing Zhu <zhsj@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-gin-contrib-sse-dev,
@@ -13,11 +13,12 @@
                golang-golang-x-net-dev,
                golang-gopkg-go-playground-validator.v8-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-goprotobuf-dev
-Standards-Version: 4.0.0
+               golang-goprotobuf-dev,
+               tzdata <!nocheck>
+Standards-Version: 4.2.1
 Homepage: https://github.com/gin-gonic/gin
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-gin-gonic-gin.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-gin-gonic-gin.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gin-gonic-gin
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gin-gonic-gin.git
 XS-Go-Import-Path: github.com/gin-gonic/gin
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = fixtures
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-gin-gonic-gin-$1.tar.gz%, \
   dversionmangle=s/\+dfsg(\d+)?//,repacksuffix=+dfsg1" \
   https://github.com/gin-gonic/gin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## golang-github-gin-gonic-gin 1.6.3

=== Makefile ===
GO ?= go
GOFMT ?= gofmt "-s"
PACKAGES ?= $(shell $(GO) list ./...)
VETPACKAGES ?= $(shell $(GO) list ./... | grep -v /examples/)
GOFILES := $(shell find . -name "*.go")
TESTFOLDER := $(shell $(GO) list ./... | grep -E 'gin$$|binding$$|render$$' | grep -v examples)
TESTTAGS ?= ""

.PHONY: test
test:
	echo "mode: count" > coverage.out
	for d in $(TESTFOLDER); do \
		$(GO) test -tags $(TESTTAGS) -v -covermode=count -coverprofile=profile.out $$d > tmp.out; \
		cat tmp.out; \
		if grep -q "^--- FAIL" tmp.out; then \
			rm tmp.out; \
			exit 1; \
		elif grep -q "build failed" tmp.out; then \
			rm tmp.out; \
			exit 1; \
		elif grep -q "setup failed" tmp.out; then \
			rm tmp.out; \
			exit 1; \
		fi; \
		if [ -f profile.out ]; then \
			cat profile.out | grep -v "mode:" >> coverage.out; \
			rm profile.out; \
		fi; \
	done

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: fmt-check
fmt-check:
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

vet:
	$(GO) vet $(VETPACKAGES)

.PHONY: lint
lint:
	@hash golint > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u golang.org/x/lint/golint; \
	fi
	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

.PHONY: misspell-check
misspell-check:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -error $(GOFILES)

.PHONY: misspell
misspell:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -w $(GOFILES)

.PHONY: tools
tools:
	go install golang.org/x/lint/golint; \
	go install github.com/client9/misspell/cmd/misspell;

=== debian/changelog ===
golang-github-gin-gonic-gin (1.6.3-3) unstable; urgency=medium

  * Don't fail the test suite in case TestPathCleanMallocs fails, this
    test seems flaky:
     + 0003-avoid-failures-on-flaky-test.patch

 -- Cyril Brulebois <cyril@debamax.com>  Sun, 10 Jan 2021 06:21:12 +0000

golang-github-gin-gonic-gin (1.6.3-2) unstable; urgency=medium

  * Backport upstream fix for 32-bit architectures: request parsing a
    64-bit integer explicitly to avoid depending on the host's bit size:
     + 0002-binding-avoid-2038-problem-on-32-bit-architectures.patch

 -- Cyril Brulebois <cyril@debamax.com>  Sat, 09 Jan 2021 18:50:03 +0000

golang-github-gin-gonic-gin (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Stop repacking upstream sources: all examples have been moved to a
    separate repository.
  * Delete patch changing listening port of test server:
     - It doesn't apply any longer.
     - It switched the listening port from 8888 to 9888.
     - gin_integration_test now uses 3123 by default. If this fails on
       buildds, it can be adjusted then.
  * Replace golang-gopkg-go-playground-validator.v8-dev with
    golang-github-go-playground-validator-v10-dev in (Build-)Depends.
  * Pass --builddirectory=_build to dh, to have the same build directory
    on all architectures.
  * Add patch to make the test (UNIX) socket location configurable: it's
    not really OK to write outside the build directory (/tmp), especially
    if one is leaving the test socket behind.
  * Set TEST_SOCKET_DIR to the build directory for the dh_auto_test call,
    leveraging the aforementioned patch.
  * Refresh copyright information.

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 08 Jan 2021 22:10:19 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-golang,
                golang-any,
                golang-github-gin-contrib-sse-dev,
+               golang-github-go-playground-validator-v10-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-stretchr-testify-dev,
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-net-dev,
-               golang-gopkg-go-playground-validator.v8-dev,
                golang-gopkg-yaml.v2-dev,
                golang-goprotobuf-dev,
                tzdata <!nocheck>
@@ -27,9 +27,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-gin-contrib-sse-dev,
+         golang-github-go-playground-validator-v10-dev,
          golang-github-mattn-go-isatty-dev,
          golang-github-ugorji-go-codec-dev,
-         golang-gopkg-go-playground-validator.v8-dev,
          golang-gopkg-yaml.v2-dev,
          golang-goprotobuf-dev
 Description: HTTP web framework written in Go

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = fixtures
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	TEST_SOCKET_DIR=$(CURDIR)/_build dh_auto_test

## golang-github-gin-gonic-gin 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 GO ?= go
 GOFMT ?= gofmt "-s"
+GO_VERSION=$(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f2)
 PACKAGES ?= $(shell $(GO) list ./...)
 VETPACKAGES ?= $(shell $(GO) list ./... | grep -v /examples/)
 GOFILES := $(shell find . -name "*.go")
@@ -67,5 +68,10 @@
 
 .PHONY: tools
 tools:
-	go install golang.org/x/lint/golint; \
-	go install github.com/client9/misspell/cmd/misspell;
+	@if [ $(GO_VERSION) -gt 15 ]; then \
+		$(GO) install golang.org/x/lint/golint@latest; \
+		$(GO) install github.com/client9/misspell/cmd/misspell@latest; \
+	elif [ $(GO_VERSION) -lt 16 ]; then \
+		$(GO) install golang.org/x/lint/golint; \
+		$(GO) install github.com/client9/misspell/cmd/misspell; \
+	fi

=== debian/changelog ===
golang-github-gin-gonic-gin (1.8.1-2) unstable; urgency=medium

  * Team Upload.
  * Add golang-golang-x-net-dev to Depends (Closes: #1054845)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Oct 2023 03:58:21 +0530

golang-github-gin-gonic-gin (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Delete patches:
     - 0001-adjust-test-parameters.patch: no longer needed, the relevant
       tests have been marked as legacy and commented out.
     - 0002-binding-avoid-2038-problem-on-32-bit-architectures.patch: no
       longer needed (backported from upstream master at the time).
     - 0004-fix-test-failure-with-go-1.17.patch: merged upstream.
  * Add patch:
     - 0004-test-suite-add-support-for-Go-1.19.patch: cherry-pick bits
       from https://github.com/gin-gonic/gin/pull/3272 to add support for
       Go 1.19.
  * Update (Build-|)Depends:
     - Add golang-github-pelletier-go-toml.v2-dev
     - Replace golang-goprotobuf-dev with golang-google-protobuf-dev

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 18:27:57 +0000

golang-github-gin-gonic-gin (1.6.3-4) unstable; urgency=medium

  * Team upload.

  [ William 'jawn-smith' Wilson ]
  * Cherry Pick upstream patch that fixes FTBFS with Go 1.17
    (Closes: 994254)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 16 Sep 2021 11:55:49 +1200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                golang-github-gin-contrib-sse-dev,
                golang-github-go-playground-validator-v10-dev,
                golang-github-mattn-go-isatty-dev,
+               golang-github-pelletier-go-toml.v2-dev,
                golang-github-stretchr-testify-dev,
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-goprotobuf-dev,
+               golang-google-protobuf-dev,
                tzdata <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/gin-gonic/gin
@@ -29,9 +30,11 @@
          golang-github-gin-contrib-sse-dev,
          golang-github-go-playground-validator-v10-dev,
          golang-github-mattn-go-isatty-dev,
+         golang-github-pelletier-go-toml.v2-dev,
          golang-github-ugorji-go-codec-dev,
+         golang-golang-x-net-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-goprotobuf-dev
+         golang-google-protobuf-dev
 Description: HTTP web framework written in Go
  Gin is a web framework written in Go (Golang). It features a martini-like API
  with much better performance, up to 40 times faster thanks to httprouter. If

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-gin-gonic-gin-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/gin-gonic/gin/tags .*/v?(\d\S*)\.tar\.gz debian
